<nz-layout>
  <nz-content class="no-margin">
      <app-img-header></app-img-header>
  </nz-content>

  <nz-content>
    <div class="inner-content">
      <div nz-row>
        <!-- LEFT info title -->
        <div nz-col nzXs="24" nzSm="24" nzMd="10">
          <div class="info">
            <h1>Rejoignez la communauté MyDevCommunity</h1>
            <p class="lead">Découvrez les Tutorials les plus appréciés par la communauté du monde entier!</p>
            <p><button nz-button nzType="default"><i nz-icon nzType="google"></i>S'inscrire avec Google</button></p>
            <p><button nz-button nzType="default"><i nz-icon nzType="github"></i>S'inscrire avec GitHub</button></p>
            <p><button nz-button nzType="default"><i nz-icon nzType="facebook"></i>S'inscrire avec Facebook</button></p>
          </div>
        </div>
        <!-- RIGHT form register -->
        <div class="voffset5" nz-col nzXs="24" nzSm="24" nzMd="14">
          <form nz-form [formGroup]="validateForm" (ngSubmit)="submitForm()">
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired nzFor="email">E-mail</nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" nzErrorTip="Le format d'email n'est pas valide!">
                <input nz-input formControlName="email" id="email" />
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="nickname" nzRequired>
                <span>
                  Nom d'utilisateur
                  <i nz-icon nz-tooltip nzTitle="Le nom d'utilisateur visible au public." nzType="question-circle"
                    nzTheme="outline"></i>
                </span>
              </nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" nzErrorTip="Veuillez entrer un nom d'utilisateur">
                <input nz-input id="nickname" formControlName="nickname" />
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="password" nzRequired>Mot de passe</nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" nzErrorTip="Veuillez entrer un mot de passe!">
                <input nz-input type="password" id="password" formControlName="password"
                  (ngModelChange)="updateConfirmValidator()" />
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="checkPassword" nzRequired>Confirmer</nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" [nzErrorTip]="errorTpl">
                <input nz-input type="password" formControlName="checkPassword" id="checkPassword" />
                <ng-template #errorTpl let-control>
                  <ng-container *ngIf="control.hasError('required')">
                    Veuillez confirmer votre mot de passe!
                  </ng-container>
                  <ng-container *ngIf="control.hasError('confirm')">
                    Les 2 mots de passe ne correspondent pas!
                  </ng-container>
                </ng-template>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="website" nzRequired>Site web</nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" nzErrorTip="Veuillez entrer votre site web!">
                <input nz-input id="website" formControlName="website" placeholder="Site web" />
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label [nzSm]="6" [nzXs]="24" nzFor="captcha" nzRequired>Captcha</nz-form-label>
              <nz-form-control [nzSm]="14" [nzXs]="24" nzErrorTip="Entrer les mots du captcha de sécurité!"
                nzExtra="Nous devons nous assurer que vous êtes un humain.">
                <div nz-row [nzGutter]="8">
                  <div nz-col [nzSpan]="12">
                    <input nz-input formControlName="captcha" id="captcha" />
                  </div>
                  <div nz-col [nzSpan]="12">
                    <button nz-button (click)="getCaptcha($event)">Get captcha</button>
                  </div>
                </div>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item nz-row class="register-area">
              <nz-form-control class="check-rgpd" [nzSpan]="14" [nzOffset]="6">
                <label nz-checkbox formControlName="agree">
                  <span>J'ai lu et j'accepte les <a>conditions d'utilisation.</a></span>
                </label>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item nz-row class="register-area">
              <nz-form-control [nzSpan]="14" [nzOffset]="6">
                <button nz-button nzType="primary">Inscription</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </div>
      </div>
    </div>
  </nz-content>
</nz-layout>